HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.DeleteAccount

Contains the different functions to run the operation deleteAccount

  • 2 types
  • 2 values
valuedeleteAccount
  1. :: MonadHTTP m
  2. => Maybe DeleteAccountRequestBody

    The request body to send

  3. -> ClientT m (Response DeleteAccountResponse)

    Monadic computation which returns the result of the operation

#
DELETE /v1/account

<p>With <a href="/docs/connect">Connect</a>, you can delete accounts you manage.</p>

<p>Accounts created using test-mode keys can be deleted at any time. Standard accounts created using live-mode keys cannot be deleted. Custom or Express accounts created using live-mode keys can only be deleted once all balances are zero.</p>

<p>If you want to delete your own account, use the <a href="https://dashboard.stripe.com/account">account information tab in your account settings</a> instead.</p>

Defines the object schema located at paths./v1/account.DELETE.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation deleteAccount.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), DeleteAccountResponseError is used.

Constructors

Instances2Eq, Show